<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ViaPointUpdate StructType
 * @subpackage Structs
 */
class ViaPointUpdate extends ViaPointInsert
{
    /**
     * The Remove
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Remove;
    /**
     * Constructor method for ViaPointUpdate
     * @uses ViaPointUpdate::setRemove()
     * @param bool $remove
     */
    public function __construct($remove = null)
    {
        $this
            ->setRemove($remove);
    }
    /**
     * Get Remove value
     * @return bool
     */
    public function getRemove()
    {
        return $this->Remove;
    }
    /**
     * Set Remove value
     * @param bool $remove
     * @return \StructType\ViaPointUpdate
     */
    public function setRemove($remove = null)
    {
        // validation for constraint: boolean
        if (!is_null($remove) && !is_bool($remove)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($remove, true), gettype($remove)), __LINE__);
        }
        $this->Remove = $remove;
        return $this;
    }
}
